Requirements for Scheduling Exams at Prometric Centers

Beginning April 1, 2018, anyone using an unsupported operating system or browser (Windows XP/Vista, Windows Server 2003, or a browser version below IE 9) will NOT be able to schedule an exam at a Prometric center.

This change is due to an enhancement of security protocols to meet new industry compliance regulations.

Additional information is available at the Prometric website, as well as instructions on how to upgrade your operating system or browser.

Examinees should monitor the USMLE website for more information.